// sattool - visual satellite tracking and prediction tool.
// Copyright 2000 Tom Rothamel <tom-idbg@onegeek.org>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  

#include <sattool.h>

int writetle(int argc, char **argv) {
	Options *o;
	List *l;
	FILE *of;
	int didwarn = 0;
	Thing *t;
	Sgp4Sat *sat;
	
	o = ParseGlobalOptions(argc, argv, NULL);
	l = ReadInput(o);

	of = OutputFile(o);
	if (!of) return -1;
	
	l->reset();
	
	while (t = l->next()) {
		sat = getSgp4Sat(t);

		if (!sat) {
			if (!didwarn)
				warning("Writetle can't write things that aren't sgp4sats.\n");
			didwarn = 1;

			continue;
		}

		fprintf(of, "%s\n", sat->line[0]);
		fprintf(of, "%s\n", sat->line[1]);
		fprintf(of, "%s\n", sat->line[2]);
	}

	fclose(of);
}
	
